Skip to main content

createThreatModelArtifact

Create a threat model artifact

createThreatModelArtifact(
input: CreateThreatModelArtifactInput!
): CreateThreatModelArtifactPayload

Arguments​

createThreatModelArtifact.input ● CreateThreatModelArtifactInput! non-null input​

Parameters for CreateThreatModelArtifact

Type​

CreateThreatModelArtifactPayload object​

Autogenerated return type of CreateThreatModelArtifact.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateThreatModelArtifact($input: CreateThreatModelArtifactInput!) {\n createThreatModelArtifact(input: $input) { clientMutationId threatModelArtifact { id label assignee { __typename } } }\n}","variables":{"input":{"companyId":"<company_id>","label":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute